#pragma once

#include <stdio.h>
#include <QVector>
#include <float.h>

#include "Vector.h"

using namespace std;

class OFFFile {

public:

	OFFFile();
        bool Read(char * filename);
        void Normalize();
        bool Write(char * filename);

        QVector <Vector3> & GetVerts();
        QVector <QVector <int> > & GetFaces();

private:

	QVector <Vector3> m_vVertices;		//vertices vector
	QVector <QVector <int> > m_vFaces;			//Faces vector

};

