QT += opengl

INCLUDEPATH += trimesh2/include

HEADERS += window.h \
    Vector.h \
    triangle.h \
    SampleCamera.h \
    PlaneMesh.h \
    glwidget.h \
    OFFFile.h \
    Mesh.h \
    PPMFile.h \
    ObjFileSimple.h \
    eigensolver.h \
    sideglwidget.h \
    kmeanscluster.h \
    binspace.h

SOURCES += window.cpp \
    Vector.cpp \
    triangle.c \
    SampleCamera.cpp \
    PlaneMesh.cpp \
    PlanarMesh.cpp \
    glwidget.cpp \
    OFFFile.cpp \
    Mesh.cpp \
    PPMFile.cpp \
    ObjFileSimple.cpp \
    eigensolver.cpp \
    sideglwidget.cpp \
    kmeanscluster.cpp \
    binspace.cpp

unix:LIBS += -L"/home/james/Desktop/projects/2011/planarmesh/PlanarMesh/trimesh2/lib.Linux64" \
    -ltrimesh \
    -fopenmp

win32:LIBS += -L"./trimesh2/lib.Win32" \
    -ltrimesh \
    -fopenmp
