//Vertex shader
const int maxNumPlanes = 10;
const int globalMaxCurveProfileSamples = maxNumPlanes * 8;
uniform vec3 pointLightPos;
uniform float pointLightRad;
uniform int myPlaneNum;
uniform vec4 myPlaneParams[maxNumPlanes];
uniform vec3 myPlaneCentroids[maxNumPlanes];
uniform float myPlaneBoundRads[maxNumPlanes];
uniform int myPlaneIsHole[maxNumPlanes];
uniform int myPlaneCommonIndex[maxNumPlanes];

uniform float myPlaneCurveProfileThetas[globalMaxCurveProfileSamples];
uniform float myPlaneCurveProfileRads[globalMaxCurveProfileSamples];
uniform int myPlaneCurveProfileStartIndex[maxNumPlanes];
uniform int myPlaneCurveProfileEndIndex[maxNumPlanes];
uniform vec3 myPlaneParamsRotVec1[maxNumPlanes];
uniform vec3 myPlaneParamsRotVec2[maxNumPlanes];

uniform int useCosInterp;

varying vec3 myV;
varying vec3 myN;

void main(void)
{	
	
	myV = gl_Vertex.xyz;	
	myN = gl_Normal;
	gl_Position = ftransform();	
	
}
