#pragma once

#include <QVector>
#include <cfloat>

#include "Vector.h"

class kMeansCluster
{

public:

    kMeansCluster();
    ~kMeansCluster();

    void AddDataPoint(Vector3 p);
    QVector <Vector3> GetMeans(int k);

private:

    int m_nk;
    QVector <Vector3> m_vDataPts;
    QVector <Vector3> m_vMeans;
};

