#include "window.h"

Window::Window()
{        

    glWidget = new GLWidget;  
    glWidget->setMouseTracking(true);

    sideglWidget = new SideGLWidget(glWidget->GetPlaneMesh());
    sideglWidget->setMouseTracking(true);    

    glWidget->SetSideGLWidget(sideglWidget);
    sideglWidget->SetGLWidget(glWidget);

    QHBoxLayout *mainLayout = new QHBoxLayout;
    QVBoxLayout *glLayout = new QVBoxLayout;

    glLayout->addWidget(glWidget);
    //glLayout->addWidget(sideglWidget);

    QWidget *glWidgetsContainer=new QWidget;
    glWidgetsContainer->setLayout(glLayout);

    mainLayout->addWidget(glWidgetsContainer);
    mainLayout->addWidget(glWidget->GetRightPaneWidget());

    setLayout(mainLayout);

    setWindowTitle(tr("PlanarMesh v1.0.6"));
    //showFullScreen();

}
